Bug 1282528 - freeipa-client requires wget; curl is in Core and can be used instead
freeipa-client requires wget; curl is in Core and can be used instead
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 11:47 EST by Jan Pazdziora
Modified: 2016-03-31 16:30 EDT (History)
9 users (show)

See Also:
Fixed In Version: freeipa-4.3.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 16:30:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-11-16 11:47:48 EST
Description of problem:

When installing freeipa-client in a container, I've noticed wget gets installed. Checking source code shows that it's only used in a couple of trivial cases that could be converted to curl.

curl, unlike wget, is part of Core group:

# dnf group info 'Core' | grep wget
# dnf group info 'Core' | grep curl
   curl
# 

Using it will make the footprint a little bit smaller.

Version-Release number of selected component (if applicable):

freeipa-client-4.2.3-1.fc23

How reproducible:

Deterministic.

Steps to Reproduce:
1. dnf install -y freeipa-client

Actual results:

Installing:
[...]
 wget                      x86_64   1.16.3-2.fc23               fedora    579 k

Expected results:

wget not installed.

Additional info:
Comment 1 Petr Vobornik 2015-11-18 07:03:30 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5458
Comment 2 Martin Bašti 2015-12-11 12:48:08 EST
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/5c9b9089b7b0d40b7e924177f99c2568aaa1b5b2
Comment 3 Fedora Update System 2016-03-24 16:47:17 EDT
freeipa-4.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f6e2d255aa
Comment 4 Fedora Update System 2016-03-25 16:27:35 EDT
freeipa-4.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f6e2d255aa
Comment 5 Fedora Update System 2016-03-31 16:30:27 EDT
freeipa-4.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.